manifestVersion: "0.0.1"
id: jotty
category: files
name: Jotty
version: "1.22.0"
tagline: Простое приложение для ваших контрольных списков и заметок
description: >-
  Устали от раздутых облачных приложений для управления делами? Jotty — это легкая альтернатива управлению вашими личными контрольными списками и заметками.
  
  
  Особенности:
    - Контрольные списки: создавайте списки задач с перетаскиванием, индикаторами выполнения и категориями. Поддерживает как простые контрольные списки, так и проекты сложных задач с досками Канбан и отслеживанием времени.
    - Заметки с форматированным текстом: чистый редактор WYSIWYG для ваших заметок на базе TipTap с полной поддержкой Markdown и подсветкой синтаксиса.
    - Совместное использование: делитесь контрольными списками или заметками с другими пользователями вашего экземпляра, включая публичный обмен с общими ссылками.
    - На основе файлов: база данных не требуется! Все хранится в простых файлах Markdown и JSON в одном каталоге данных.
    - Управление пользователями: панель администратора для создания учетных записей пользователей и управления ими с отслеживанием сеансов.
backupIgnore:
  - data/cache/*
developer: fccview
website: https://jotty.page
repo: https://github.com/fccview/jotty
support: https://github.com/fccview/jotty/issues
port: 8345
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
releaseNotes: >-
  ⚠️ Обязательно сделайте резервную копию своих данных перед обновлением до этой версии.
  
  
  Канбан-рефакторинг:
    - Задачи были переименованы и преобразованы в полноценную систему Канбан с новыми полями, включая исполнителя, срок выполнения, приоритет и напоминания.
    - В новом представлении календаря отображаются задачи, которым назначен срок выполнения.
    - Фильтровать доску Канбан по приоритету задач.
    - Уведомления в приложении о таких событиях, как общие элементы, обновления статуса задач и напоминания об истекших задачах.
  
  Новые возможности:
    - Поддержка LDAP: теперь пользователи могут входить в систему через LDAP, используя свое имя пользователя Jotty.
  
  Исправления ошибок:
    - Исправлена заметка API, в которой отсутствовала возможность получить заметку по UUID.
    - Исправлены столбцы Канбана, которые не заполняли весь экран при наличии менее 4 статусов.
    - Исправлена ошибка, из-за которой подзадачи не проверялись при обновлении хода выполнения задачи.
    - Исправлено поведение масштабирования в режиме PWA.
  
  Обновления безопасности:
    - Исправлена серьезная уязвимость безопасности. Обновление настоятельно рекомендуется, если ваш экземпляр общедоступен.
    - Обновлены многочисленные сторонние зависимости для устранения различных уязвимостей безопасности.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/fccview/jotty/releases.
dependencies: []
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  - 4.jpg
permissions: []
path: ""
defaultUsername: ""
defaultPassword: ""
